import xmlrpc.client as xrc


class RPCClient(xrc.ServerProxy):

    def __init__(self, host, port, *args, **kwargs):
        uri = f"http://{host}:{port}/"
        super().__init__(uri, *args, **kwargs)


    def __repr__(self):
        orig = super().__repr__()
        head = orig.strip("<>").rstrip("/")
        head += " exposing:\n\n"
        help = self.utils.help()
        return head + help


    def __dir__(self):
        d1 = super().__dir__()
        d2 = self.utils.info().keys()
        return [*d1, *d2]



